summaryrefslogtreecommitdiffstats
path: root/.local/bin/torwrap
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/torwrap')
-rwxr-xr-x.local/bin/torwrap6
1 files changed, 3 insertions, 3 deletions
diff --git a/.local/bin/torwrap b/.local/bin/torwrap
index 82a268a..4f94053 100755
--- a/.local/bin/torwrap
+++ b/.local/bin/torwrap
@@ -1,7 +1,7 @@
#!/bin/sh
-ifinstalled tremc transmission-cli || exit
+ifinstalled tremc-git transmission-cli || exit
-! ps ax | grep -q "\stransmission-daemon$" && transmission-daemon && notify-send "Starting torrent daemon..." && sleep 3 && pkill -RTMIN+7 "${STATUSBAR:-dwmblocks}" &
+! pidof transmission-daemon >/dev/null && transmission-daemon && notify-send "Starting torrent daemon..."
-$TERMINAL -e tremc
+$TERMINAL -e tremc; pkill -RTMIN+7 "${STATUSBAR:-dwmblocks}"